Subject: Re: bug#17806: 24.4.50; Branch emacs-24 fails to beuild on Debian

From: Stefan Monnier <[email-masked]>
Date: Fri, 20 Jun 2014 17:06:19 -0400

>> Why does Emacs even have --enable-link-time-optimization as a configure
>> option? Does it provide any measurable benefit?
> It's supposed to have better runtime performance.  In my standard little
> benchmark, though, --enable-link-time-optimization slowed down runtime CPU

Don't know what benchmark you use, but I generally use byte-compilation
of Emacs's files as my own benchmark.  It's kind of lousy (since it
constantly changes), but it is one real-life code where a lot of Elisp
is executed.

> I installed the attached as emacs-24 bzr 117269 to try to discourage casual
> use.  Another possibility would be to
> remove --enable-link-time-optimization, but I suppose that should be done in
> the trunk if it's done at all.  I'll CC: this to Dmitry as he added the
> option in the first place.

If it tends to break (and since IIUC it's new in 24.4), we could also
remove it from 24.4.

        Stefan